test: DIR_REQUIRED_RESOURCE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# DIR_REQUIRED_RESOURCE Struct Reference

List of all members.

## Public Attributes

ULONG | CurLoc
ULONG | RunLen
ULONG | PassNo
ULONG | CurBusLoc
LONGLONG | CurBusMin
LONGLONG | CurBusMax
UCHAR | Type
ULONG | CurBLoc
LONGLONG | CurBAddr
UCHAR | TType
TENTRY | Trans
LONG | BestPref
LONG | CurPref
ULONG | PrefCnt
ULONG | Pass2HoldCurLoc
LONGLONG | Pass2HoldBAddr
ULONG | NoAlternatives
PIO_RESOURCE_DESCRIPTOR | IoResourceDescriptor [1]

## Member Data Documentation

LONG DIR_REQUIRED_RESOURCE::BestPref

| Definition at line 148 of file assign.c.

LONGLONG DIR_REQUIRED_RESOURCE::CurBAddr

| Definition at line 142 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::CurBLoc

| Definition at line 141 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::CurBusLoc

| Definition at line 135 of file assign.c.

LONGLONG DIR_REQUIRED_RESOURCE::CurBusMax

| Definition at line 137 of file assign.c.

LONGLONG DIR_REQUIRED_RESOURCE::CurBusMin

| Definition at line 136 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::CurLoc

| Definition at line 130 of file assign.c.

LONG DIR_REQUIRED_RESOURCE::CurPref

| Definition at line 149 of file assign.c.

PIO_RESOURCE_DESCRIPTOR DIR_REQUIRED_RESOURCE::IoResourceDescriptor[1]

| Definition at line 158 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::NoAlternatives

| Definition at line 157 of file assign.c.

LONGLONG DIR_REQUIRED_RESOURCE::Pass2HoldBAddr

| Definition at line 154 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::Pass2HoldCurLoc

| Definition at line 153 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::PassNo

| Definition at line 132 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::PrefCnt

| Definition at line 152 of file assign.c.

ULONG DIR_REQUIRED_RESOURCE::RunLen

| Definition at line 131 of file assign.c.

TENTRY DIR_REQUIRED_RESOURCE::Trans

| Definition at line 146 of file assign.c.

UCHAR DIR_REQUIRED_RESOURCE::TType

| Definition at line 145 of file assign.c.

UCHAR DIR_REQUIRED_RESOURCE::Type

| Definition at line 140 of file assign.c.

The documentation for this struct was generated from the following file:

- assign.c